org.keycloak.storage.federated

## Interface UserBrokerLinkFederatedStorage

- All Known Subinterfaces:
    UserFederatedStorageProvider
  All Known Implementing Classes:
    JpaUserFederatedStorageProvider

      public interface UserBrokerLinkFederatedStorage

  Version:
    $Revision: 1 $
  Author:
    Bill Burke

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addFederatedIdentity(RealmModel realm, UserModel user, FederatedIdentityModel socialLink)`
    `Set<FederatedIdentityModel>` | `getFederatedIdentities(UserModel user, RealmModel realm)`
    `FederatedIdentityModel` | `getFederatedIdentity(UserModel user, String socialProvider, RealmModel realm)`
    `String` | `getUserByFederatedIdentity(FederatedIdentityModel socialLink, RealmModel realm)`
    `boolean` | `removeFederatedIdentity(RealmModel realm, UserModel user, String socialProvider)`
    `void` | `updateFederatedIdentity(RealmModel realm, UserModel federatedUser, FederatedIdentityModel federatedIdentityModel)`

- - ### Method Detail

    - #### getUserByFederatedIdentity

          String getUserByFederatedIdentity(FederatedIdentityModel socialLink,
                                            RealmModel realm)

    - #### addFederatedIdentity

          void addFederatedIdentity(RealmModel realm,
                                    UserModel user,
                                    FederatedIdentityModel socialLink)

    - #### removeFederatedIdentity

          boolean removeFederatedIdentity(RealmModel realm,
                                          UserModel user,
                                          String socialProvider)

    - #### updateFederatedIdentity

          void updateFederatedIdentity(RealmModel realm,
                                       UserModel federatedUser,
                                       FederatedIdentityModel federatedIdentityModel)

    - #### getFederatedIdentities

          Set<FederatedIdentityModel> getFederatedIdentities(UserModel user,
                                                             RealmModel realm)

    - #### getFederatedIdentity

          FederatedIdentityModel getFederatedIdentity(UserModel user,
                                                      String socialProvider,
                                                      RealmModel realm)

Copyright © 2016 JBoss by Red Hat. All rights reserved.